﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;

namespace esl
{
    class PersonalLoanApplication
    {
        private static string API_KEY = "";
        private static string API_URL = "";

        public static void start()
        {
            EslClient eslClient = new EslClient(API_KEY, API_URL);

            DocumentPackage documentPackage = PackageBuilder.NewPackageNamed("Personal Loan Application")
                .WithSigner(SignerBuilder.NewSignerWithEmail("mail30@mailinator.com")
                        .WithFirstName("John")
                        .WithLastName("Smith")
                        .WithCustomId("Signer1"))
                .WithDocument(DocumentBuilder.NewDocumentNamed("Personal Loan Agreement")
                        .FromFile("../personal-loan.pdf")
                        .EnableExtraction()
                        .WithSignature(SignatureBuilder.SignatureFor("mail30@mailinator.com")
                                .WithName("borrower_signature")
                                .WithPositionExtracted()
                                .WithField(FieldBuilder.SignatureDate()
                                        .WithName("date")
                                        .WithPositionExtracted()))
                        .WithInjectedField(FieldBuilder.TextField()
                                .WithName("dollars")
                                .WithValue("50000"))
                        .WithInjectedField(FieldBuilder.TextField()
                                .WithName("full_name")
                                .WithValue("John Smith"))
                        .WithInjectedField(FieldBuilder.TextField()
                                .WithName("address")
                                .WithValue("123 Main St."))
                        )
                .Build();

            PackageId packageId = eslClient.CreateAndSendPackage(documentPackage);
        }
    }
}
